aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-sphinxcontrib-cartouche/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-10-07 11:48:09 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-22 08:23:17 +0000
commit31023167871c2cf794dab2d44da8031b87a1acdc (patch)
treedbbb729998c4f6024e7b509de632b7916e8c3f6d /testing/py-sphinxcontrib-cartouche/APKBUILD
parentfb197e4997e8d5d100323436e3d1ab86aed1ef40 (diff)
downloadaports-31023167871c2cf794dab2d44da8031b87a1acdc.tar.gz
aports-31023167871c2cf794dab2d44da8031b87a1acdc.tar.bz2
aports-31023167871c2cf794dab2d44da8031b87a1acdc.tar.xz
testing/py-sphinxcontrib-cartouche: new aport
Sphinx cartouche extension http://code.google.com/p/cartouche/
Diffstat (limited to 'testing/py-sphinxcontrib-cartouche/APKBUILD')
-rw-r--r--testing/py-sphinxcontrib-cartouche/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-sphinxcontrib-cartouche/APKBUILD b/testing/py-sphinxcontrib-cartouche/APKBUILD
new file mode 100644
index 0000000000..9560aeddd8
--- /dev/null
+++ b/testing/py-sphinxcontrib-cartouche/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-sphinxcontrib-cartouche
+_pkgname=cartouche
+pkgver=1.1
+pkgrel=0
+pkgdesc="Sphinx cartouche extension"
+url="http://code.google.com/p/cartouche/"
+arch="noarch"
+license="BSD"
+depends="python py-sphinx"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="9184415c782c1b715dc50d6d5a70bd9e cartouche-1.1.tar.gz"
+sha256sums="01e44e89d609785f97920303918c272939ec9ce7b060374a3bc2adf7db6c7043 cartouche-1.1.tar.gz"
+sha512sums="61428f1ec5c690f59d81925af716dc6747c7a2192179ca8cb91c4019248014015159c531df5355f6eeef11bcd7a3e17eb30c420ec8cd3f082fe60ca428dd7218 cartouche-1.1.tar.gz"